--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_013_neg.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_013_neg.ksh	Wed Aug 31 16:20:59 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 {
 
 	log_note "Creating pool from $POOL_FILE"
-	log_must $BZCAT \
+	log_must bzcat \
 	    $STF_SUITE/tests/functional/cli_root/zpool_import/blockfiles/$POOL_FILE.bz2 \
 	    > /$TESTPOOL/$POOL_FILE
 	return 0
@@ -60,8 +60,8 @@
 
 function cleanup
 {
-	poolexists $POOL_NAME && log_must $ZPOOL destroy $POOL_NAME
-	[[ -e /$TESTPOOL/$POOL_FILE ]] && $RM /$TESTPOOL/$POOL_FILE
+	poolexists $POOL_NAME && log_must zpool destroy $POOL_NAME
+	[[ -e /$TESTPOOL/$POOL_FILE ]] && rm /$TESTPOOL/$POOL_FILE
 	return 0
 }
 
@@ -69,7 +69,7 @@
 log_onexit cleanup
 
 uncompress_pool
-log_mustnot $ZPOOL import -d /$TESTPOOL $POOL_NAME
-log_must $ZPOOL import -d /$TESTPOOL -f $POOL_NAME
+log_mustnot zpool import -d /$TESTPOOL $POOL_NAME
+log_must zpool import -d /$TESTPOOL -f $POOL_NAME
 
 log_pass "'zpool import' fails for pool that was not cleanly exported"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_all_001_pos.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_all_001_pos.ksh	Wed Aug 31 16:20:59 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -63,12 +63,12 @@
 
 	setup_filesystem "$disk" "$pool" "$fs" "$mtpt"
 
-	log_must $CP $MYTESTFILE $mtpt/$TESTFILE0
+	log_must cp $MYTESTFILE $mtpt/$TESTFILE0
 
-	log_must $ZPOOL export $pool
+	log_must zpool export $pool
 
 	[[ -d $mtpt ]] && \
-		$RM -rf $mtpt
+		rm -rf $mtpt
 }
 
 function cleanup_all
@@ -78,12 +78,12 @@
 	#
 	# Try import individually if 'import -a' failed.
 	#
-	for pool in `$ZPOOL import | $GREP "pool:" | $AWK '{print $2}'`; do
-		$ZPOOL import -f $pool
+	for pool in `zpool import | grep "pool:" | awk '{print $2}'`; do
+		zpool import -f $pool
 	done
 
-	for pool in `$ZPOOL import -d $DEVICE_DIR | $GREP "pool:" | $AWK '{print $2}'`; do
-		log_must $ZPOOL import -d $DEVICE_DIR -f $pool
+	for pool in `zpool import -d $DEVICE_DIR | grep "pool:" | awk '{print $2}'`; do
+		log_must zpool import -d $DEVICE_DIR -f $pool
 	done
 
 	while (( id < number )); do
@@ -93,15 +93,15 @@
 		fi
 
 		if (( id == 0 )); then
-			log_must $ZPOOL export ${TESTPOOL}-$id
+			log_must zpool export ${TESTPOOL}-$id
 
 			[[ -d /${TESTPOOL}-$id ]] && \
-				log_must $RM -rf /${TESTPOOL}-$id
+				log_must rm -rf /${TESTPOOL}-$id
 
-			log_must $ZPOOL import -f ${TESTPOOL}-$id $TESTPOOL
+			log_must zpool import -f ${TESTPOOL}-$id $TESTPOOL
 
 			[[ -e $TESTDIR/$TESTFILE0 ]] && \
-				log_must $RM -rf $TESTDIR/$TESTFILE0
+				log_must rm -rf $TESTDIR/$TESTFILE0
 		else
 			cleanup_filesystem "${TESTPOOL}-$id" $TESTFS
 
@@ -112,7 +112,7 @@
         done
 
 	[[ -d $ALTER_ROOT ]] && \
-		$RM -rf $ALTER_ROOT
+		rm -rf $ALTER_ROOT
 }
 
 function checksum_all #alter_root
@@ -136,7 +136,7 @@
 		[[ ! -e $file ]] && \
 			log_fail "$file missing after import."
 
-		checksum2=$($SUM $file | $AWK '{print $1}')
+		checksum2=$(sum $file | awk '{print $1}')
 		[[ "$checksum1" != "$checksum2" ]] && \
 			log_fail "Checksums differ ($checksum1 != $checksum2)"
 
@@ -151,14 +151,14 @@
 
 log_onexit cleanup_all
 
-checksum1=$($SUM $MYTESTFILE | $AWK '{print $1}')
+checksum1=$(sum $MYTESTFILE | awk '{print $1}')
 
-log_must $ZPOOL export $TESTPOOL
-log_must $ZPOOL import $TESTPOOL ${TESTPOOL}-0
-log_must $CP $MYTESTFILE $TESTDIR/$TESTFILE0
-log_must $ZPOOL export ${TESTPOOL}-0
+log_must zpool export $TESTPOOL
+log_must zpool import $TESTPOOL ${TESTPOOL}-0
+log_must cp $MYTESTFILE $TESTDIR/$TESTFILE0
+log_must zpool export ${TESTPOOL}-0
 [[ -d /${TESTPOOL}-0 ]] && \
-	log_must $RM -rf /${TESTPOOL}-0
+	log_must rm -rf /${TESTPOOL}-0
 
 #
 # setup exported pools on normal devices
@@ -194,13 +194,13 @@
 
 while (( i < ${#options[*]} )); do
 
-	log_must $ZPOOL import -d /dev/dsk -d $DEVICE_DIR ${options[i]} -a -f
+	log_must zpool import -d /dev/dsk -d $DEVICE_DIR ${options[i]} -a -f
 
 	# destroy unintentional imported pools
-	typeset exclude=`eval $ECHO \"'(${KEEP})'\"`
-	for unwantedpool in $($ZPOOL list -H -o name \
-	     | $EGREP -v "$exclude" | $GREP -v $TESTPOOL); do
-		log_must $ZPOOL export $unwantedpool
+	typeset exclude=`eval echo \"'(${KEEP})'\"`
+	for unwantedpool in $(zpool list -H -o name \
+	     | egrep -v "$exclude" | grep -v $TESTPOOL); do
+		log_must zpool export $unwantedpool
 	done
 
 	if [[ -n ${options[i]} ]]; then
@@ -212,7 +212,7 @@
 	id=0
 	while (( id < number )); do
 		if poolexists ${TESTPOOL}-$id ; then
-			log_must $ZPOOL export ${TESTPOOL}-$id
+			log_must zpool export ${TESTPOOL}-$id
 		fi
 		(( id = id + 1 ))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_features_001_pos.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_features_001_pos.ksh	Wed Aug 31 16:20:59 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,23 +46,23 @@
 {
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 
-	log_must $RM $VDEV0
-	log_must $MKFILE $FILE_SIZE $VDEV0
+	log_must rm $VDEV0
+	log_must mkfile $FILE_SIZE $VDEV0
 }
 
 log_assert "Pool with inactive unsupported features can be imported."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0
-log_must $ZPOOL export $TESTPOOL1
+log_must zpool create $TESTPOOL1 $VDEV0
+log_must zpool export $TESTPOOL1
 
 for feature in $features; do
-	log_must $ZHACK -d $DEVICE_DIR feature enable $TESTPOOL1 $feature
+	log_must zhack -d $DEVICE_DIR feature enable $TESTPOOL1 $feature
 done
 
-log_must $ZPOOL import -d $DEVICE_DIR $TESTPOOL1
+log_must zpool import -d $DEVICE_DIR $TESTPOOL1
 for feature in $features; do
-	state=$($ZPOOL list -Ho unsupported@$feature $TESTPOOL1)
+	state=$(zpool list -Ho unsupported@$feature $TESTPOOL1)
         if [[ "$state" != "inactive" ]]; then
 		log_fail "unsupported@$feature is '$state'"
         fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_features_002_neg.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_features_002_neg.ksh	Wed Aug 31 16:20:59 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,39 +48,39 @@
 {
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 
-	log_must $RM $VDEV0
-	log_must $MKFILE $FILE_SIZE $VDEV0
+	log_must rm $VDEV0
+	log_must mkfile $FILE_SIZE $VDEV0
 }
 
 log_assert "Pool with active unsupported features cannot be imported."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0
-log_must $ZPOOL export $TESTPOOL1
+log_must zpool create $TESTPOOL1 $VDEV0
+log_must zpool export $TESTPOOL1
 
 for feature in $enabled_features $active_features; do
-	log_must $ZHACK -d $DEVICE_DIR feature enable $TESTPOOL1 $feature
+	log_must zhack -d $DEVICE_DIR feature enable $TESTPOOL1 $feature
 done
 
 for feature in $active_features; do
-	log_must $ZHACK -d $DEVICE_DIR feature ref $TESTPOOL1 $feature
+	log_must zhack -d $DEVICE_DIR feature ref $TESTPOOL1 $feature
 done
 
-log_mustnot $ZPOOL import -d $DEVICE_DIR $TESTPOOL1
+log_mustnot zpool import -d $DEVICE_DIR $TESTPOOL1
 
 # error message should not mention "readonly"
-log_mustnot eval "$ZPOOL import -d $DEVICE_DIR $TESTPOOL1 | $GREP readonly"
+log_mustnot eval "zpool import -d $DEVICE_DIR $TESTPOOL1 | grep readonly"
 log_mustnot poolexists $TESTPOOL1
 
 for feature in $active_features; do
-	log_must eval "$ZPOOL import -d $DEVICE_DIR $TESTPOOL1 \
-	    | $GREP $feature"
+	log_must eval "zpool import -d $DEVICE_DIR $TESTPOOL1 \
+	    | grep $feature"
 	log_mustnot poolexists $TESTPOOL1
 done
 
 for feature in $enabled_features; do
-	log_mustnot eval "$ZPOOL import -d $DEVICE_DIR $TESTPOOL1 \
-	    | $GREP $feature"
+	log_mustnot eval "zpool import -d $DEVICE_DIR $TESTPOOL1 \
+	    | grep $feature"
 	log_mustnot poolexists $TESTPOOL1
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_features_003_pos.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_features_003_pos.ksh	Wed Aug 31 16:20:59 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,46 +51,46 @@
 {
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 
-	log_must $RM $VDEV0
-	log_must $MKFILE $FILE_SIZE $VDEV0
+	log_must rm $VDEV0
+	log_must mkfile $FILE_SIZE $VDEV0
 }
 
 log_assert "Pool with active read-only compatible features can be imported."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0
-log_must $ZPOOL export $TESTPOOL1
+log_must zpool create $TESTPOOL1 $VDEV0
+log_must zpool export $TESTPOOL1
 
 for feature in $enabled_features $active_features; do
-	log_must $ZHACK -d $DEVICE_DIR feature enable -r $TESTPOOL1 $feature
+	log_must zhack -d $DEVICE_DIR feature enable -r $TESTPOOL1 $feature
 done
 
 for feature in $active_features; do
-	log_must $ZHACK -d $DEVICE_DIR feature ref $TESTPOOL1 $feature
+	log_must zhack -d $DEVICE_DIR feature ref $TESTPOOL1 $feature
 done
 
-log_mustnot $ZPOOL import -d $DEVICE_DIR $TESTPOOL1
+log_mustnot zpool import -d $DEVICE_DIR $TESTPOOL1
 
 # error message should mention "readonly"
-log_must eval "$ZPOOL import -d $DEVICE_DIR $TESTPOOL1 | $GREP readonly"
+log_must eval "zpool import -d $DEVICE_DIR $TESTPOOL1 | grep readonly"
 log_mustnot poolexists $TESTPOOL1
 
 for feature in $enabled_features; do
-	log_mustnot eval "$ZPOOL import -d $DEVICE_DIR $TESTPOOL1 \
-	    | $GREP $feature"
+	log_mustnot eval "zpool import -d $DEVICE_DIR $TESTPOOL1 \
+	    | grep $feature"
 	log_mustnot poolexists $TESTPOOL1
 done
 
 for feature in $active_features; do
-	log_must eval "$ZPOOL import -d $DEVICE_DIR $TESTPOOL1 \
-	    | $GREP $feature"
+	log_must eval "zpool import -d $DEVICE_DIR $TESTPOOL1 \
+	    | grep $feature"
 	log_mustnot poolexists $TESTPOOL1
 done
 
-log_must $ZPOOL import -o readonly=on -d $DEVICE_DIR $TESTPOOL1
+log_must zpool import -o readonly=on -d $DEVICE_DIR $TESTPOOL1
 
 for feature in $enabled_features; do
-	state=$($ZPOOL list -Ho unsupported@$feature $TESTPOOL1)
+	state=$(zpool list -Ho unsupported@$feature $TESTPOOL1)
         if [[ "$state" != "inactive" ]]; then
 		log_fail "unsupported@$feature is '$state'"
         fi
@@ -97,7 +97,7 @@
 done
 
 for feature in $active_features; do
-	state=$($ZPOOL list -Ho unsupported@$feature $TESTPOOL1)
+	state=$(zpool list -Ho unsupported@$feature $TESTPOOL1)
         if [[ "$state" != "readonly" ]]; then
 		log_fail "unsupported@$feature is '$state'"
         fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_missing_001_pos.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_missing_001_pos.ksh	Wed Aug 31 16:20:59 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -76,7 +76,7 @@
 	recreate_files
 
 	[[ -d $ALTER_ROOT ]] && \
-		log_must $RM -rf $ALTER_ROOT
+		log_must rm -rf $ALTER_ROOT
 }
 
 function recreate_files
@@ -86,10 +86,10 @@
 		destroy_pool $TESTPOOL1
 	fi
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -101,7 +101,7 @@
 CWD=$PWD
 cd $DEVICE_DIR || log_fail "Unable change directory to $DEVICE_DIR"
 
-checksum1=$($SUM $MYTESTFILE | $AWK '{print $1}')
+checksum1=$(sum $MYTESTFILE | awk '{print $1}')
 
 typeset -i i=0
 typeset -i j=0
@@ -117,9 +117,9 @@
 	backup=""
 
 	guid=$(get_config $TESTPOOL1 pool_guid)
-	log_must $CP $MYTESTFILE $TESTDIR1/$TESTFILE0
+	log_must cp $MYTESTFILE $TESTDIR1/$TESTFILE0
 
-	log_must $ZFS umount $TESTDIR1
+	log_must zfs umount $TESTDIR1
 
 	j=0
 	while (( j <  ${#options[*]} )); do
@@ -131,19 +131,19 @@
 		# Restore all device files.
 		#
 		[[ -n $backup ]] && \
-			log_must $TAR xf $DEVICE_DIR/$DEVICE_ARCHIVE
+			log_must tar xf $DEVICE_DIR/$DEVICE_ARCHIVE
 
 		for device in $DEVICE_FILES ; do
-			log_must $RM -f $device
+			log_must rm -f $device
 
 			poolexists $TESTPOOL1 && \
-				log_must $ZPOOL export $TESTPOOL1
+				log_must zpool export $TESTPOOL1
 
 			#
 			# Backup all device files while filesystem prepared.
 			#
 			if [[ -z $backup ]]; then
-				log_must $TAR cf $DEVICE_DIR/$DEVICE_ARCHIVE \
+				log_must tar cf $DEVICE_DIR/$DEVICE_ARCHIVE \
 					${DEVICE_FILE}*
 				backup="true"
 			fi
@@ -166,7 +166,7 @@
 				target=$guid
 				log_note "Import by guid."
 			fi
-			$action $ZPOOL import \
+			$action zpool import \
 				-d $DEVICE_DIR ${options[j]} $target
 
 			[[ $action == "log_mustnot" ]] && continue
@@ -173,7 +173,7 @@
 
 			log_must poolexists $TESTPOOL1
 
-			health=$($ZPOOL list -H -o health $TESTPOOL1)
+			health=$(zpool list -H -o health $TESTPOOL1)
 
 			[[ $health == "DEGRADED" ]] || \
 				log_fail "$TESTPOOL1: Incorrect health($health)"
@@ -186,7 +186,7 @@
 			[[ ! -e $basedir/$TESTFILE0 ]] && \
 				log_fail "$basedir/$TESTFILE0 missing after import."
 
-			checksum2=$($SUM $basedir/$TESTFILE0 | $AWK '{print $1}')
+			checksum2=$(sum $basedir/$TESTFILE0 | awk '{print $1}')
 			[[ "$checksum1" != "$checksum2" ]] && \
 				log_fail "Checksums differ ($checksum1 != $checksum2)"
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_missing_002_pos.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_missing_002_pos.ksh	Wed Aug 31 16:20:59 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -69,10 +69,10 @@
 {
 	cd $DEVICE_DIR || log_fail "Unable change directory to $DEVICE_DIR"
 	[[ -e $DEVICE_DIR/$DEVICE_ARCHIVE ]] && \
-		log_must $TAR xf $DEVICE_DIR/$DEVICE_ARCHIVE
+		log_must tar xf $DEVICE_DIR/$DEVICE_ARCHIVE
 
 	poolexists $TESTPOOL1 || \
-		log_must $ZPOOL import -d $DEVICE_DIR $TESTPOOL1
+		log_must zpool import -d $DEVICE_DIR $TESTPOOL1
 
 	cleanup_filesystem $TESTPOOL1 $TESTFS
 
@@ -88,19 +88,19 @@
 	while (( i < $MAX_NUM )); do
 		typeset dev_file=${DEVICE_DIR}/${DEVICE_FILE}$i
 		if [[ ! -e ${dev_file} ]]; then
-			log_must $MKFILE $FILE_SIZE ${dev_file}
+			log_must mkfile $FILE_SIZE ${dev_file}
 		fi
 		((i += 1))
 	done
 
-	log_must $RM -f $DEVICE_DIR/$DEVICE_ARCHIVE
+	log_must rm -f $DEVICE_DIR/$DEVICE_ARCHIVE
 	cd $CWD || log_fail "Unable change directory to $CWD"
 
 	[[ -d $ALTER_ROOT ]] && \
-		log_must $RM -rf $ALTER_ROOT
+		log_must rm -rf $ALTER_ROOT
 
 	[[ -d $BACKUP_DEVICE_DIR ]] && \
-		log_must $RM -rf $BACKUP_DEVICE_DIR
+		log_must rm -rf $BACKUP_DEVICE_DIR
 }
 
 log_onexit cleanup_all
@@ -110,7 +110,7 @@
 CWD=$PWD
 
 [[ ! -d $BACKUP_DEVICE_DIR ]] &&
-	log_must $MKDIR -p $BACKUP_DEVICE_DIR
+	log_must mkdir -p $BACKUP_DEVICE_DIR
 
 cd $DEVICE_DIR || log_fail "Unable change directory to $DEVICE_DIR"
 
@@ -123,7 +123,7 @@
 while (( i < ${#vdevs[*]} )); do
 
 	(( i != 0 )) && \
-		log_must $TAR xf $DEVICE_DIR/$DEVICE_ARCHIVE
+		log_must tar xf $DEVICE_DIR/$DEVICE_ARCHIVE
 
 	setup_filesystem "$DEVICE_FILES" \
 		$TESTPOOL1 $TESTFS $TESTDIR1 \
@@ -132,9 +132,9 @@
 	guid=$(get_config $TESTPOOL1 pool_guid)
 	backup=""
 
-	log_must $CP $MYTESTFILE $TESTDIR1/$TESTFILE0
+	log_must cp $MYTESTFILE $TESTDIR1/$TESTFILE0
 
-	log_must $ZFS umount $TESTDIR1
+	log_must zfs umount $TESTDIR1
 
 	j=0
 	while (( j <  ${#options[*]} )); do
@@ -145,24 +145,24 @@
 		# Restore all device files.
 		#
 		[[ -n $backup ]] && \
-			log_must $TAR xf $DEVICE_DIR/$DEVICE_ARCHIVE
+			log_must tar xf $DEVICE_DIR/$DEVICE_ARCHIVE
 
-		log_must $RM -f $BACKUP_DEVICE_DIR/*
+		log_must rm -f $BACKUP_DEVICE_DIR/*
 
 		for device in $DEVICE_FILES ; do
 
 			poolexists $TESTPOOL1 && \
-				log_must $ZPOOL export $TESTPOOL1
+				log_must zpool export $TESTPOOL1
 
 			#
 			# Backup all device files while filesystem prepared.
 			#
 			if [[ -z $backup ]] ; then
-				log_must $TAR cf $DEVICE_DIR/$DEVICE_ARCHIVE ${DEVICE_FILE}*
+				log_must tar cf $DEVICE_DIR/$DEVICE_ARCHIVE ${DEVICE_FILE}*
 				backup="true"
 			fi
 
-			log_must $MV $device $BACKUP_DEVICE_DIR
+			log_must mv $device $BACKUP_DEVICE_DIR
 
 			(( count = count + 1 ))
 
@@ -181,7 +181,7 @@
 				target=$guid
 				log_note "Import by guid."
 			fi
-			$action $ZPOOL import \
+			$action zpool import \
 				-d $DEVICE_DIR ${options[j]} $target
 
 		done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_missing_003_pos.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_missing_003_pos.ksh	Wed Aug 31 16:21:00 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -76,7 +76,7 @@
 
 	log_must poolexists $pool
 
-	myhealth=$($ZPOOL list -H -o health $pool)
+	myhealth=$(zpool list -H -o health $pool)
 
 	[[ $myhealth == $health ]] || \
 		log_fail "$pool: Incorrect health ($myhealth), " \
@@ -92,7 +92,7 @@
 	[[ ! -e $mtpt/$file ]] && \
 		log_fail "$mtpt/$file missing after import."
 
-	checksum2=$($SUM $mymtpt/$file | $AWK '{print $1}')
+	checksum2=$(sum $mymtpt/$file | awk '{print $1}')
 	[[ "$checksum1" != "$checksum2" ]] && \
 		log_fail "Checksums differ ($checksum1 != $checksum2)"
 
@@ -112,7 +112,7 @@
 	done
 
 	[[ -e $DEVICE_DIR/$DEVICE_ARCHIVE ]] && \
-		log_must $TAR xf $DEVICE_DIR/$DEVICE_ARCHIVE
+		log_must tar xf $DEVICE_DIR/$DEVICE_ARCHIVE
 }
 
 function cleanup_all
@@ -124,13 +124,13 @@
 	while (( i < $MAX_NUM )); do
 		typeset file=${DEVICE_DIR}/${DEVICE_FILE}$i
 		if  [[ -e $file ]]; then
-			log_must $RM $file
+			log_must rm $file
 		fi
-		log_must $MKFILE $FILE_SIZE $file
+		log_must mkfile $FILE_SIZE $file
 		((i += 1))
 	done
 
-	log_must $RM -f $DEVICE_DIR/$DEVICE_ARCHIVE
+	log_must rm -f $DEVICE_DIR/$DEVICE_ARCHIVE
 	cd $CWD || log_fail "Unable change directory to $CWD"
 
 }
@@ -142,9 +142,9 @@
 CWD=$PWD
 
 cd $DEVICE_DIR || log_fail "Unable change directory to $DEVICE_DIR"
-log_must $TAR cf $DEVICE_DIR/$DEVICE_ARCHIVE ${DEVICE_FILE}*
+log_must tar cf $DEVICE_DIR/$DEVICE_ARCHIVE ${DEVICE_FILE}*
 
-checksum1=$($SUM $MYTESTFILE | $AWK '{print $1}')
+checksum1=$(sum $MYTESTFILE | awk '{print $1}')
 
 typeset -i i=0
 typeset -i j=0
@@ -164,7 +164,7 @@
 	while (( j < ${#vdevs[*]} )); do
 
 		(( j != 0 )) && \
-			log_must $TAR xf $DEVICE_DIR/$DEVICE_ARCHIVE
+			log_must tar xf $DEVICE_DIR/$DEVICE_ARCHIVE
 
 		typeset -i overlap=1
 		typeset -i begin
@@ -182,17 +182,17 @@
 
 			setup_filesystem "$vdev1" $TESTPOOL1 $TESTFS $TESTDIR1 \
 				"" ${vdevs[i]}
-			log_must $CP $MYTESTFILE $TESTDIR1/$TESTFILE0
-			log_must $ZFS umount $TESTDIR1
+			log_must cp $MYTESTFILE $TESTDIR1/$TESTFILE0
+			log_must zfs umount $TESTDIR1
 			poolexists $TESTPOOL1 && \
-				log_must $ZPOOL export $TESTPOOL1
+				log_must zpool export $TESTPOOL1
 
 			setup_filesystem "$vdev2" $TESTPOOL2 $TESTFS $TESTDIR2 \
 				"" ${vdevs[j]}
-			log_must $CP $MYTESTFILE $TESTDIR2/$TESTFILE0
-			log_must $ZFS umount $TESTDIR2
+			log_must cp $MYTESTFILE $TESTDIR2/$TESTFILE0
+			log_must zfs umount $TESTDIR2
 			poolexists $TESTPOOL2 && \
-				log_must $ZPOOL export $TESTPOOL2
+				log_must zpool export $TESTPOOL2
 
 			action=log_must
 			case "${vdevs[i]}" in
@@ -206,8 +206,8 @@
 					;;
 			esac
 
-			$action $ZPOOL import -d $DEVICE_DIR $TESTPOOL1
-			log_must $ZPOOL import -d $DEVICE_DIR $TESTPOOL2
+			$action zpool import -d $DEVICE_DIR $TESTPOOL1
+			log_must zpool import -d $DEVICE_DIR $TESTPOOL2
 
 			if [[ $action == log_must ]]; then
 				verify "$TESTPOOL1" "$TESTFS" "$TESTDIR1" \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_rename_001_pos.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_rename_001_pos.ksh	Wed Aug 31 16:21:00 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -64,23 +64,23 @@
 	typeset -i i=0
 	while (( i < ${#pools[*]} )); do
 		if poolexists "${pools[i]}-new" ; then
-			log_must $ZPOOL export "${pools[i]}-new"
+			log_must zpool export "${pools[i]}-new"
 
 			[[ -d /${pools[i]}-new ]] && \
-				log_must $RM -rf /${pools[i]}-new
+				log_must rm -rf /${pools[i]}-new
 
-			log_must $ZPOOL import ${devs[i]} \
+			log_must zpool import ${devs[i]} \
 				"${pools[i]}-new" ${pools[i]}
 		fi
 
 		datasetexists "${pools[i]}" || \
-			log_must $ZPOOL import ${devs[i]} ${pools[i]}
+			log_must zpool import ${devs[i]} ${pools[i]}
 
 		ismounted "${pools[i]}/$TESTFS" || \
-			log_must $ZFS mount ${pools[i]}/$TESTFS
+			log_must zfs mount ${pools[i]}/$TESTFS
 
 		[[ -e ${mtpts[i]}/$TESTFILE0 ]] && \
-			log_must $RM -rf ${mtpts[i]}/$TESTFILE0
+			log_must rm -rf ${mtpts[i]}/$TESTFILE0
 
 		((i = i + 1))
 
@@ -91,9 +91,9 @@
 	destroy_pool $TESTPOOL1
 
 	[[ -d $ALTER_ROOT ]] && \
-		log_must $RM -rf $ALTER_ROOT
+		log_must rm -rf $ALTER_ROOT
 	[[ -e $VDEV_FILE ]] && \
-		log_must $RM $VDEV_FILE
+		log_must rm $VDEV_FILE
 }
 
 log_onexit cleanup
@@ -101,7 +101,7 @@
 log_assert "Verify that an imported pool can be renamed."
 
 setup_filesystem "$DEVICE_FILES" $TESTPOOL1 $TESTFS $TESTDIR1
-checksum1=$($SUM $MYTESTFILE | $AWK '{print $1}')
+checksum1=$(sum $MYTESTFILE | awk '{print $1}')
 
 typeset -i i=0
 typeset -i j=0
@@ -109,16 +109,16 @@
 
 while (( i < ${#pools[*]} )); do
 	guid=$(get_config ${pools[i]} pool_guid)
-	log_must $CP $MYTESTFILE ${mtpts[i]}/$TESTFILE0
+	log_must cp $MYTESTFILE ${mtpts[i]}/$TESTFILE0
 
-	log_must $ZFS umount ${mtpts[i]}
+	log_must zfs umount ${mtpts[i]}
 
 	j=0
 	while (( j <  ${#options[*]} )); do
-		log_must $ZPOOL export ${pools[i]}
+		log_must zpool export ${pools[i]}
 
 		[[ -d /${pools[i]} ]] && \
-			log_must $RM -rf /${pools[i]}
+			log_must rm -rf /${pools[i]}
 
 		typeset target=${pools[i]}
 		if (( RANDOM % 2 == 0 )) ; then
@@ -126,7 +126,7 @@
 			log_note "Import by guid."
 		fi
 
-		log_must $ZPOOL import ${devs[i]} ${options[j]} \
+		log_must zpool import ${devs[i]} ${options[j]} \
 			$target ${pools[i]}-new
 
 		log_must poolexists "${pools[i]}-new"
@@ -140,20 +140,20 @@
 		[[ ! -e $basedir/$TESTFILE0 ]] && \
 			log_fail "$basedir/$TESTFILE0 missing after import."
 
-		checksum2=$($SUM $basedir/$TESTFILE0 | $AWK '{print $1}')
+		checksum2=$(sum $basedir/$TESTFILE0 | awk '{print $1}')
 		[[ "$checksum1" != "$checksum2" ]] && \
 			log_fail "Checksums differ ($checksum1 != $checksum2)"
 
-		log_must $ZPOOL export "${pools[i]}-new"
+		log_must zpool export "${pools[i]}-new"
 
 		[[ -d /${pools[i]}-new ]] && \
-			log_must $RM -rf /${pools[i]}-new
+			log_must rm -rf /${pools[i]}-new
 
 		target=${pools[i]}-new
 		if (( RANDOM % 2 == 0 )) ; then
 			target=$guid
 		fi
-		log_must $ZPOOL import ${devs[i]} $target ${pools[i]}
+		log_must zpool import ${devs[i]} $target ${pools[i]}
 
 		((j = j + 1))
 	done
@@ -163,11 +163,11 @@
 
 VDEV_FILE=$(mktemp /tmp/tmp.XXXXXX)
 
-log_must $MKFILE -n 128M $VDEV_FILE
-log_must $ZPOOL create testpool $VDEV_FILE
-log_must $ZFS create testpool/testfs
-ID=$($ZPOOL get -Ho value guid testpool)
-log_must $ZPOOL export testpool
-log_mustnot $ZPOOL import $(echo $ID) $($PRINTF "%*s\n" 250 "" | $TR ' ' 'c')
+log_must mkfile -n 128M $VDEV_FILE
+log_must zpool create testpool $VDEV_FILE
+log_must zfs create testpool/testfs
+ID=$(zpool get -Ho value guid testpool)
+log_must zpool export testpool
+log_mustnot zpool import $(echo id) $(printf "%*s\n" 250 "" | tr ' ' 'c')
 
 log_pass "Successfully imported and renamed a ZPOOL"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_offline/zpool_offline_001_pos.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_offline/zpool_offline_001_pos.ksh	Wed Aug 31 16:21:00 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -50,7 +55,7 @@
 	# Ensure we don't leave disks in the offline state
 	#
 	for disk in $DISKLIST; do
-		log_must $ZPOOL online $TESTPOOL $disk
+		log_must zpool online $TESTPOOL $disk
 		check_state $TESTPOOL $disk "online"
 		if [[ $? != 0 ]]; then
 			log_fail "Unable to online $disk"
@@ -74,13 +79,13 @@
 	i=0
 	while [[ $i -lt ${#args[*]} ]]; do
 		if (( j < num )) ; then
-			log_must $ZPOOL offline ${args[$i]} $TESTPOOL $disk
+			log_must zpool offline ${args[$i]} $TESTPOOL $disk
 			check_state $TESTPOOL $disk "offline"
 			if [[ $? != 0 ]]; then
 				log_fail "$disk of $TESTPOOL did not match offline state"
 			fi
 		else
-			log_mustnot $ZPOOL offline ${args[$i]} $TESTPOOL $disk
+			log_mustnot zpool offline ${args[$i]} $TESTPOOL $disk
 			check_state $TESTPOOL $disk "online"
 			if [[ $? != 0 ]]; then
 				log_fail "$disk of $TESTPOOL did not match online state"
@@ -101,7 +106,7 @@
         i=0
         while [[ $i -lt $iters ]]; do
 		index=`expr $RANDOM % ${#args[*]}`
-                log_must $ZPOOL offline ${args[$index]} $TESTPOOL $disk
+                log_must zpool offline ${args[$index]} $TESTPOOL $disk
                 check_state $TESTPOOL $disk "offline"
                 if [[ $? != 0 ]]; then
                         log_fail "$disk of $TESTPOOL is not offline."
@@ -110,7 +115,7 @@
                 (( i = i + 1 ))
         done
 
-	log_must $ZPOOL online $TESTPOOL $disk
+	log_must zpool online $TESTPOOL $disk
 	check_state $TESTPOOL $disk "online"
 	if [[ $? != 0 ]]; then
 		log_fail "$disk of $TESTPOOL did not match online state"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_offline/zpool_offline_002_neg.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_offline/zpool_offline_002_neg.ksh	Wed Aug 31 16:21:00 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -83,7 +88,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_mustnot $ZPOOL offline ${args[$i]}
+	log_mustnot zpool offline ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_online/zpool_online_001_pos.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_online/zpool_online_001_pos.ksh	Wed Aug 31 16:21:00 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -48,7 +53,7 @@
 	# Ensure we don't leave disks in temporary online state (-t)
 	#
 	for disk in $DISKLIST; do
-		log_must $ZPOOL online $TESTPOOL $disk
+		log_must zpool online $TESTPOOL $disk
 		check_state $TESTPOOL $disk "online"
 		if [[ $? != 0 ]]; then
 			log_fail "Unable to online $disk"
@@ -70,13 +75,13 @@
 for disk in $DISKLIST; do
 	i=0
 	while [[ $i -lt ${#args[*]} ]]; do
-		log_must $ZPOOL offline $TESTPOOL $disk
+		log_must zpool offline $TESTPOOL $disk
 		check_state $TESTPOOL $disk "offline"
 		if [[ $? != 0 ]]; then
 			log_fail "$disk of $TESTPOOL did not match offline state"
 		fi
 
-		log_must $ZPOOL online ${args[$i]} $TESTPOOL $disk
+		log_must zpool online ${args[$i]} $TESTPOOL $disk
 		check_state $TESTPOOL $disk "online"
 		if [[ $? != 0 ]]; then
 			log_fail "$disk of $TESTPOOL did not match online state"
@@ -95,7 +100,7 @@
         i=0
         while [[ $i -lt $iters ]]; do
 		index=`expr $RANDOM % ${#args[*]}`
-                log_must $ZPOOL online ${args[$index]} $TESTPOOL $disk
+                log_must zpool online ${args[$index]} $TESTPOOL $disk
                 check_state $TESTPOOL $disk "online"
                 if [[ $? != 0 ]]; then
                         log_fail "$disk of $TESTPOOL did not match online state"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_online/zpool_online_002_neg.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_online/zpool_online_002_neg.ksh	Wed Aug 31 16:21:00 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -62,7 +67,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_mustnot $ZPOOL online ${args[$i]}
+	log_mustnot zpool online ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_remove/zpool_remove_001_neg.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_remove/zpool_remove_001_neg.ksh	Wed Aug 31 16:21:00 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,7 +58,7 @@
         typeset dev
 
         for dev in $devs; do
-                log_mustnot $ZPOOL remove $dev
+                log_mustnot zpool remove $dev
         done
 
         destroy_pool $pool
@@ -88,7 +88,7 @@
 
 typeset -i i=0
 while [[ $i -lt ${#create_args[*]} ]]; do
-	log_must $ZPOOL create $TESTPOOL ${create_args[i]}
+	log_must zpool create $TESTPOOL ${create_args[i]}
 	check_remove $TESTPOOL "${verify_disks[i]}"
 	(( i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_remove/zpool_remove_002_pos.ksh	Wed Aug 31 16:21:00 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_remove/zpool_remove_002_pos.ksh	Wed Aug 31 16:21:00 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,12 +58,12 @@
 log_assert "zpool remove can only remove inactive hotspare device from pool"
 
 log_note "check hotspare device which is created by zpool create"
-log_must $ZPOOL create $TESTPOOL $spare_devs1 spare $spare_devs2
-log_must $ZPOOL remove $TESTPOOL $spare_devs2
+log_must zpool create $TESTPOOL $spare_devs1 spare $spare_devs2
+log_must zpool remove $TESTPOOL $spare_devs2
 
 log_note "check hotspare device which is created by zpool add"
-log_must $ZPOOL add $TESTPOOL spare $spare_devs2
-log_must $ZPOOL remove $TESTPOOL $spare_devs2
-log_must $ZPOOL destroy $TESTPOOL
+log_must zpool add $TESTPOOL spare $spare_devs2
+log_must zpool remove $TESTPOOL $spare_devs2
+log_must zpool destroy $TESTPOOL
 
 log_pass "zpool remove can only remove inactive hotspare device from pool"
